MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028316Community[OCCT] OCCT:Codingpublic2016-12-29 10:342017-09-29 16:29
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028316: Coding Rules - Elimilate confusing aliases of Standard_Real type in V3d_View
DescriptionIn clas V3d_View, it used several kinds of typedef of Standard_Real, it's inconvinient and confused when calling methods with these arguments. It would be more clear to replace it with their raw type Standard_Real.

Quantity_Factor
Quantity_Coefficient
V3d_Coordinate
Quantity_Parameter

List several method as below:

  Standard_EXPORT void SetSize (const Quantity_Length theSize);
  Standard_EXPORT void SetZoom (const Quantity_Factor Coef, const Standard_Boolean Start = Standard_True);
  Standard_EXPORT void SetScale (const Quantity_Factor Coef);
  Standard_EXPORT void FitAll (const Quantity_Coefficient theMargin = 0.01, const Standard_Boolean theToUpdate = Standard_True);
  Standard_EXPORT void Convert (const V3d_Coordinate X, const V3d_Coordinate Y, const V3d_Coordinate Z, Standard_Integer& Xp, Standard_Integer& Yp) const;
  Standard_EXPORT void Proj (Quantity_Parameter& Vx, Quantity_Parameter& Vy, Quantity_Parameter& Vz) const;
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028799closedbugmaster Community Coding Rules - elimilate confusing Quantity aliases of Standard_Real type 

-  Notes
(0066935)
git (administrator)
2017-05-31 16:47

Branch CR28316 has been created by kgv.

SHA-1: 28c9bb58a79cdab9469a7a60cf1bf6da9d80bd6d


Detailed log of new commits:

Author: kgv
Date: Tue May 30 13:43:59 2017 +0300

    0028316: Coding Rules - Elimilate confusing aliases of Standard_Real type in V3d_View
    
    Quantity_Factor, Quantity_Parameter, Quantity_Ratio, Quantity_Coefficient,
    Quantity_PlaneAngle, Quantity_Length, V3d_Parameter and V3d_Coordinate
    have been replaced by Standard_Real in visualization classes.
(0066937)
kgv (developer)
2017-05-31 16:49

Please check compilation, regression testing is not needed.
(0066948)
mkv (tester)
2017-05-31 19:39

Dear BugMaster,
Branch CR28316 from occt git-repository (and CR28316 from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 28c9bb58a79cdab9469a7a60cf1bf6da9d80bd6d
SHA-1: 70855c037315d9703bb48c41ea67adf8f82122ee

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1194
(0066949)
mkv (tester)
2017-05-31 19:39

Dear BugMaster,
Branch CR28316 from occt git-repository and branch CR28316 from products git-repository are TESTED.
(0066984)
git (administrator)
2017-06-02 10:45

Branch CR28316 has been deleted by inv.

SHA-1: 28c9bb58a79cdab9469a7a60cf1bf6da9d80bd6d

- Related Changesets
occt: master ee2be2a8
Timestamp: 2017-05-30 10:43:59
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028316: Coding Rules - Elimilate confusing aliases of Standard_Real type in V3d_View

Quantity_Factor, Quantity_Parameter, Quantity_Ratio, Quantity_Coefficient,
Quantity_PlaneAngle, Quantity_Length, V3d_Parameter and V3d_Coordinate
have been replaced by Standard_Real in visualization classes.
mod - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/CSharp/WinForms/Form2.cs Diff ] File ]
mod - samples/CSharp/WPF_D3D/OCCViewer.cs Diff ] File ]
mod - samples/CSharp/WPF_WinForms/OCCViewer.cs Diff ] File ]
mod - samples/java/jniviewer/jni/OcctJni_Window.hxx Diff ] File ]
mod - samples/mfc/occtdemo/Common/OCCDemo_Presentation.cpp Diff ] File ]
mod - samples/mfc/occtdemo/Common/OCCDemo_Presentation.h Diff ] File ]
mod - samples/mfc/occtdemo/Common/WNT/OCCDemoDoc.cpp Diff ] File ]
mod - samples/mfc/occtdemo/Common/WNT/OCCDemoView.cpp Diff ] File ]
mod - samples/mfc/occtdemo/Common/WNT/OCCDemoView.h Diff ] File ]
mod - samples/mfc/occtdemo/Interpol/Interpol_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryView.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeomSources.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession2D_Curve.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Direction.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/ConvertClickToPoint.cxx Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/OCCDemo_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/OCCDemo_Presentation.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.h Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/OCCDemo_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/OCCDemo_Presentation.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/SelectionDialog.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/OCCDemo_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/OCCDemo_Presentation.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.cpp Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_BaseView.h Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Image.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Image.h Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Markers.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Markers.h Diff ] File ]
mod - samples/mfc/standard/Common/Resource2D/CircularGrid.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Resource2D/CircularGrid.h Diff ] File ]
mod - samples/mfc/standard/Common/Resource2D/RectangularGrid.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Resource2D/RectangularGrid.h Diff ] File ]
mod - samples/qt/AndroidQt/AndroidQt_Window.h Diff ] File ]
mod - samples/qt/Common/src/OcctWindow.cxx Diff ] File ]
mod - samples/qt/Common/src/OcctWindow.h Diff ] File ]
mod - samples/qt/Common/src/View.h Diff ] File ]
mod - src/AIS/AIS.cxx Diff ] File ]
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/Aspect/Aspect_CircularGrid.cxx Diff ] File ]
mod - src/Aspect/Aspect_CircularGrid.hxx Diff ] File ]
mod - src/Aspect/Aspect_Convert.hxx Diff ] File ]
mod - src/Aspect/Aspect_Grid.cxx Diff ] File ]
mod - src/Aspect/Aspect_Grid.hxx Diff ] File ]
mod - src/Aspect/Aspect_NeutralWindow.hxx Diff ] File ]
mod - src/Aspect/Aspect_RectangularGrid.cxx Diff ] File ]
mod - src/Aspect/Aspect_RectangularGrid.hxx Diff ] File ]
mod - src/Aspect/Aspect_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.hxx Diff ] File ]
mod - src/Cocoa/Cocoa_Window.mm Diff ] File ]
mod - src/DsgPrs/DsgPrs.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_ShapeDirPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_SymmetricPresentation.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.hxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapeMesher.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/Prs3d/Prs3d.cxx Diff ] File ]
mod - src/Prs3d/Prs3d.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Arrow.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Arrow.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PlaneAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Point.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Presentation.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Projector.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Projector.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
mod - src/QABugs/QABugs_6.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_Curve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_Curve.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_DeflectionCurve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_DeflectionCurve.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_Plane.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_Plane.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_PoleCurve.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_PoleCurve.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolPoint.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_ToolVertex.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.hxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFRestrictedFace.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFRestrictedFace.hxx Diff ] File ]
mod - src/V3d/V3d.hxx Diff ] File ]
mod - src/V3d/V3d_DirectionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_Light.hxx Diff ] File ]
mod - src/V3d/V3d_Plane.hxx Diff ] File ]
mod - src/V3d/V3d_PositionalLight.hxx Diff ] File ]
mod - src/V3d/V3d_PositionLight.hxx Diff ] File ]
mod - src/V3d/V3d_SpotLight.hxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer_3.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer_4.cxx Diff ] File ]
mod - src/V3d/V3d_View_3.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/WNT/WNT_Window.cxx Diff ] File ]
mod - src/WNT/WNT_Window.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/Xw/Xw_Window.cxx Diff ] File ]
mod - src/Xw/Xw_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-29 10:34 Vico Liang New Issue
2016-12-29 10:34 Vico Liang Assigned To => kgv
2016-12-29 10:36 Vico Liang Description Updated View Revisions
2016-12-29 10:38 Vico Liang Description Updated View Revisions
2016-12-29 10:43 kgv Category OCCT:Visualization => OCCT:Coding
2016-12-29 10:43 kgv Summary Elimilate confusion typedef and replace it with the raw type in V3d_View => Coding Rules - Elimilate confusing aliases of Standard_Real type in V3d_View
2016-12-29 12:08 kgv Product Version => 6.3.1
2017-05-31 08:43 Vico Liang Relationship added related to 0028799
2017-05-31 16:47 git Note Added: 0066935
2017-05-31 16:49 kgv Note Added: 0066937
2017-05-31 16:49 kgv Assigned To kgv => bugmaster
2017-05-31 16:49 kgv Status new => resolved
2017-05-31 16:49 kgv Severity minor => integration request
2017-05-31 16:49 kgv Status resolved => reviewed
2017-05-31 16:57 mkv Assigned To bugmaster => mkv
2017-05-31 19:39 mkv Note Added: 0066948
2017-05-31 19:39 mkv Note Added: 0066949
2017-05-31 19:39 mkv Assigned To mkv => bugmaster
2017-05-31 19:39 mkv Status reviewed => tested
2017-05-31 19:39 mkv Test case number => Not needed
2017-06-02 10:28 bugmaster Changeset attached => occt master ee2be2a8
2017-06-02 10:28 bugmaster Status tested => verified
2017-06-02 10:28 bugmaster Resolution open => fixed
2017-06-02 10:45 git Note Added: 0066984
2017-08-24 15:06 kgv Relationship added parent of 0029047
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker